| Classes - Annotated - Tree - Functions - Home - Structure

# QDomImplementation Class Reference
[ XML module ]

The QDomImplementation class provides information about the features of the DOM implementation. More...

`#include <qdom.h>`

List of all member functions.

## Public Members

- QDomImplementation ()
- QDomImplementation ( const QDomImplementation & )
- virtual ~QDomImplementation ()
- QDomImplementation& operator= ( const QDomImplementation & )
- bool operator== ( const QDomImplementation & ) const
- bool operator!= ( const QDomImplementation & ) const
- virtual bool hasFeature ( const QString & feature, const QString & version )
- bool isNull ()

## Detailed Description

The QDomImplementation class provides information about the features of the DOM implementation.

This class describes the features that are supported by the DOM implementation. Currently only the XML subset of DOM Level 1 is supported.

Normally you will use the function QDomDocument::implementation() to get the implementation object.

For further information about the Document Objct Model see http://www.w3.org/TR/REC-DOM-Level-1/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

See also hasFeature().

## Member Function Documentation

### QDomImplementation::QDomImplementation ()

Constructs a QDomImplementation object.

### QDomImplementation::QDomImplementation ( const QDomImplementation & x )

Copy constructor.

### QDomImplementation::~QDomImplementation () `[virtual]`

Destructor.

### bool QDomImplementation::hasFeature ( const QString & feature, const QString & version ) `[virtual]`

The function returns TRUE if QDom implements the requested version of a feature.

Currently only the feature "XML" in version "1.0" is supported.

### bool QDomImplementation::isNull ()

Returns TRUE if the object was not created by QDomDocument::implementation().

### bool QDomImplementation::operator!= ( const QDomImplementation & x ) const

Returns TRUE if both objects were created from different QDomDocuments.

### QDomImplementation& QDomImplementation::operator= ( const QDomImplementation & x )

Assignment operator.

### bool QDomImplementation::operator== ( const QDomImplementation & x ) const

Returns TRUE if both objects were created from the same QDomDocument.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.